Boards
Alle Operationen rund um Boards.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Board | board |
6 | — | board_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/boards |
Create board | Create a new board in the active tenant. |
DELETE |
/v1/boards/{id} |
Delete board | Soft delete entity. |
GET |
/v1/boards/{id} |
Get board by id | Fetch a single board. |
GET |
/v1/boards/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/boards/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/boards/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/boards |
List boards | List boards for the active tenant. |
PATCH |
/v1/boards/{id} |
Patch board | JSON Merge Patch update. |
POST |
/v1/boards/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/boards/{id}/transition |
POST /v1/boards/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/boards/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/boards/{id} |
Replace board | Full replace with optimistic locking. |